Module javafx.controls
Package javafx.scene.control.skin

# Class MenuButtonSkin

java.lang.Object
javafx.scene.control.SkinBase<C>
javafx.scene.control.skin.MenuButtonSkinBase<MenuButton>
javafx.scene.control.skin.MenuButtonSkin

All Implemented Interfaces:
  `Skin<MenuButton>`

    public class MenuButtonSkin
    extends MenuButtonSkinBase<MenuButton>

Default skin implementation for the `MenuButton` control.

Since:
  9
See Also:
  `MenuButton`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MenuButtonSkin​(MenuButton control)` | Creates a new MenuButtonSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  ### Methods declared in class javafx.scene.control.SkinBase

  `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, consumeMouseEvents, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, layoutChildren, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javafx.scene.control.Skin

  `dispose, getNode, getSkinnable`

- ## Constructor Details

  - ### MenuButtonSkin

    public MenuButtonSkin​(MenuButton control)
    Creates a new MenuButtonSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.